UbuntuUpdates.org

Package "libjpeg-turbo"

Name: libjpeg-turbo

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Programs for manipulating JPEG files
  • Program for benchmarking and testing libjpeg-turbo
  • IJG JPEG compliant runtime library.

Latest version: 1.4.2-0ubuntu3.3
Release: xenial (16.04)
Level: security
Repository: universe

Links

Save this URL for the latest version of "libjpeg-turbo": https://www.ubuntuupdates.org/libjpeg-turbo



Other versions of "libjpeg-turbo" in Xenial

Repository Area Version
base main 1.4.2-0ubuntu3
base universe 1.4.2-0ubuntu3
security main 1.4.2-0ubuntu3.3
updates main 1.4.2-0ubuntu3.3
updates universe 1.4.2-0ubuntu3.3

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.4.2-0ubuntu3.3 2019-11-13 16:07:10 UTC

  libjpeg-turbo (1.4.2-0ubuntu3.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-14498.patch: Fix OOB read
      caused by malformed 8-bit BMP in cderror.h, rdbmp.c, rdppm.c.
    - CVE-2018-14498
  * SECURITY UPDATE: Several integer overflow and subsequent
    segfaults
    - debian/patches/CVE-2019-2201.patch: properly handled
      gigapixel images in java/TJBench.java, tjbench.c,
      turbojpeg.c.
    - CVE-2019-2201

 -- <email address hidden> (Leonidas S. Barbosa) Tue, 12 Nov 2019 13:26:57 -0300

Source diff to previous version
CVE-2018-14498 get_8bit_row in rdbmp.c in libjpeg-turbo through 1.5.90 and MozJPEG through 3.3.1 allows attackers to cause a denial of service (heap-based buffer ov

Version: 1.4.2-0ubuntu3.1 2018-07-09 18:07:03 UTC

  libjpeg-turbo (1.4.2-0ubuntu3.1) xenial-security; urgency=medium

  * SECURITY UPDATE: division by zero via BMP image
    - debian/patches/CVE-2018-1152.patch: add size check in rdbmp.c.
    - CVE-2018-1152

 -- Marc Deslauriers <email address hidden> Thu, 05 Jul 2018 15:30:37 -0400

CVE-2018-1152 libjpeg-turbo 1.5.90 is vulnerable to a denial of service vulnerability caused by a divide by zero when processing a crafted BMP image.



About   -   Send Feedback to @ubuntu_updates